Scriptname _CNO_DetectionScript extends ActiveMagicEffect

_CNO_MCM Property Mcm Auto
_CNO_MainScript Property MainScr Auto

Event OnEffectStart(Actor akTarget, Actor akCaster)
	if Mcm.InteriorOnly == False
		MainScr.CNO_Log("[CNO] - OnEffectStart - " + akTarget.GetName() + " - " + akTarget.GetFormID())
		if akTarget.GetFactionRank(MainScr.BanditFaction) >= 0 && akTarget.GetFactionRank(MainScr.BanditFaction) != 99 && !StorageUtil.FormListHas(none, "CNO_SavedActors_Bandit", akTarget)
			Int TotalWeight = Mcm.BanditOutfitChance_1 + Mcm.BanditOutfitChance_2 + Mcm.BanditOutfitChance_3 + Mcm.BanditOutfitChance_4 + Mcm.BanditOutfitChance_5
			MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - TotalWeight: " + TotalWeight)
			Int TempRandInt = Utility.RandomInt(0, TotalWeight)
			MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - TempRandInt: " + TempRandInt)
			if (TempRandInt <= Mcm.BanditOutfitChance_1) && Mcm.BanditOutfitIndex_1 != -1
				MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 1")
;				akTarget.SetOutfit(MainScr.DummyOutfit)
;				akTarget.SetOutfit(MainScr.Outfit_1)
				StorageUtil.FormListAdd(none, "CNO_SavedActors_Bandit", akTarget, false)
				StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
				StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_1)
				MainScr.RegisterForSingleUpdate(0.5)
				return
			else
				TempRandInt -= Mcm.BanditOutfitChance_1
			endif
			if (TempRandInt <= Mcm.BanditOutfitChance_2) && Mcm.BanditOutfitIndex_2 != -1
				MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 2")
;				akTarget.SetOutfit(MainScr.DummyOutfit)
;				akTarget.SetOutfit(MainScr.Outfit_2)
				StorageUtil.FormListAdd(none, "CNO_SavedActors_Bandit", akTarget, false)
				StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
				StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_2)
				MainScr.RegisterForSingleUpdate(0.5)
				return
			else
				TempRandInt -= Mcm.BanditOutfitChance_2
			endif
			if (TempRandInt <= Mcm.BanditOutfitChance_3) && Mcm.BanditOutfitIndex_3 != -1
				MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 3")
;				akTarget.SetOutfit(MainScr.DummyOutfit)
;				akTarget.SetOutfit(MainScr.Outfit_3)
				StorageUtil.FormListAdd(none, "CNO_SavedActors_Bandit", akTarget, false)
				StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
				StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_3)
				MainScr.RegisterForSingleUpdate(0.5)
				return
			else
				TempRandInt -= Mcm.BanditOutfitChance_3
			endif
			if (TempRandInt <= Mcm.BanditOutfitChance_4) && Mcm.BanditOutfitIndex_4 != -1
				MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 4")
;				akTarget.SetOutfit(MainScr.DummyOutfit)
;				akTarget.SetOutfit(MainScr.Outfit_4)
				StorageUtil.FormListAdd(none, "CNO_SavedActors_Bandit", akTarget, false)
				StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
				StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_4)
				MainScr.RegisterForSingleUpdate(0.5)
				return
			else
				TempRandInt -= Mcm.BanditOutfitChance_4
			endif
			if Mcm.BanditOutfitIndex_5 != -1 && Mcm.BanditOutfitChance_4 != 0
				MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 5")
;				akTarget.SetOutfit(MainScr.DummyOutfit)
;				akTarget.SetOutfit(MainScr.Outfit_5)
				StorageUtil.FormListAdd(none, "CNO_SavedActors_Bandit", akTarget, false)
				StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
				StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_5)
				MainScr.RegisterForSingleUpdate(0.5)
				return
			endif
		elseif akTarget.GetFactionRank(MainScr.ForswornFaction) >= 0 && akTarget.GetFactionRank(MainScr.ForswornFaction) != 99 && !StorageUtil.FormListHas(none, "CNO_SavedActors_Forsworn", akTarget)
			Int TotalWeight = Mcm.ForswornOutfitChance_1 + Mcm.ForswornOutfitChance_2 + Mcm.ForswornOutfitChance_3 + Mcm.ForswornOutfitChance_4 + Mcm.ForswornOutfitChance_5
			MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - TotalWeight: " + TotalWeight)
			Int TempRandInt = Utility.RandomInt(0, TotalWeight)
			MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - TempRandInt: " + TempRandInt)
			if (TempRandInt <= Mcm.ForswornOutfitChance_1) && Mcm.ForswornOutfitIndex_1 != -1
				MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 11")
;				akTarget.SetOutfit(MainScr.DummyOutfit)
;				akTarget.SetOutfit(MainScr.Outfit_11)
				StorageUtil.FormListAdd(none, "CNO_SavedActors_Forsworn", akTarget, false)
				StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
				StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_11)
				MainScr.RegisterForSingleUpdate(0.5)
				return
			else
				TempRandInt -= Mcm.ForswornOutfitChance_1
			endif
			if (TempRandInt <= Mcm.ForswornOutfitChance_2) && Mcm.ForswornOutfitIndex_2 != -1
				MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 12")
;				akTarget.SetOutfit(MainScr.DummyOutfit)
;				akTarget.SetOutfit(MainScr.Outfit_12)
				StorageUtil.FormListAdd(none, "CNO_SavedActors_Forsworn", akTarget, false)
				StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
				StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_12)
				MainScr.RegisterForSingleUpdate(0.5)
				return
			else
				TempRandInt -= Mcm.ForswornOutfitChance_2
			endif
			if (TempRandInt <= Mcm.ForswornOutfitChance_3) && Mcm.ForswornOutfitIndex_3 != -1
				MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 13")
;				akTarget.SetOutfit(MainScr.DummyOutfit)
;				akTarget.SetOutfit(MainScr.Outfit_13)
				StorageUtil.FormListAdd(none, "CNO_SavedActors_Forsworn", akTarget, false)
				StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
				StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_13)
				MainScr.RegisterForSingleUpdate(0.5)
				return
			else
				TempRandInt -= Mcm.ForswornOutfitChance_3
			endif
			if (TempRandInt <= Mcm.ForswornOutfitChance_4) && Mcm.ForswornOutfitIndex_4 != -1
				MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 14")
;				akTarget.SetOutfit(MainScr.DummyOutfit)
;				akTarget.SetOutfit(MainScr.Outfit_14)
				StorageUtil.FormListAdd(none, "CNO_SavedActors_Forsworn", akTarget, false)
				StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
				StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_14)
				MainScr.RegisterForSingleUpdate(0.5)
				return
			else
				TempRandInt -= Mcm.ForswornOutfitChance_4
			endif
			if Mcm.ForswornOutfitIndex_5 != -1 && Mcm.ForswornOutfitChance_4 != 0
				MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 15")
;				akTarget.SetOutfit(MainScr.DummyOutfit)
;				akTarget.SetOutfit(MainScr.Outfit_15)
				StorageUtil.FormListAdd(none, "CNO_SavedActors_Forsworn", akTarget, false)
				StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
				StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_15)
				MainScr.RegisterForSingleUpdate(0.5)
				return
			endif
		elseif akTarget.GetFactionRank(MainScr.VampireFaction) >= 0 && akTarget.GetFactionRank(MainScr.VampireFaction) != 99 && !StorageUtil.FormListHas(none, "CNO_SavedActors_Vampire", akTarget)
			Int TotalWeight = Mcm.VampireOutfitChance_1 + Mcm.VampireOutfitChance_2 + Mcm.VampireOutfitChance_3 + Mcm.VampireOutfitChance_4 + Mcm.VampireOutfitChance_5
			MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - TotalWeight: " + TotalWeight)
			Int TempRandInt = Utility.RandomInt(0, TotalWeight)
			MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - TempRandInt: " + TempRandInt)
			if (TempRandInt <= Mcm.VampireOutfitChance_1) && Mcm.VampireOutfitIndex_1 != -1
				MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 21")
;				akTarget.SetOutfit(MainScr.DummyOutfit)
;				akTarget.SetOutfit(MainScr.Outfit_21)
				StorageUtil.FormListAdd(none, "CNO_SavedActors_Vampire", akTarget, false)
				StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
				StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_21)
				MainScr.RegisterForSingleUpdate(0.5)
				return
			else
				TempRandInt -= Mcm.VampireOutfitChance_1
			endif
			if (TempRandInt <= Mcm.VampireOutfitChance_2) && Mcm.VampireOutfitIndex_2 != -1
				MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 22")
;				akTarget.SetOutfit(MainScr.DummyOutfit)
;				akTarget.SetOutfit(MainScr.Outfit_22)
				StorageUtil.FormListAdd(none, "CNO_SavedActors_Vampire", akTarget, false)
				StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
				StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_22)
				MainScr.RegisterForSingleUpdate(0.5)
				return
			else
				TempRandInt -= Mcm.VampireOutfitChance_2
			endif
			if (TempRandInt <= Mcm.VampireOutfitChance_3) && Mcm.VampireOutfitIndex_3 != -1
				MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 23")
;				akTarget.SetOutfit(MainScr.DummyOutfit)
;				akTarget.SetOutfit(MainScr.Outfit_23)
				StorageUtil.FormListAdd(none, "CNO_SavedActors_Vampire", akTarget, false)
				StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
				StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_23)
				MainScr.RegisterForSingleUpdate(0.5)
				return
			else
				TempRandInt -= Mcm.VampireOutfitChance_3
			endif
			if (TempRandInt <= Mcm.VampireOutfitChance_4) && Mcm.VampireOutfitIndex_4 != -1
				MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 24")
;				akTarget.SetOutfit(MainScr.DummyOutfit)
;				akTarget.SetOutfit(MainScr.Outfit_24)
				StorageUtil.FormListAdd(none, "CNO_SavedActors_Vampire", akTarget, false)
				StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
				StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_24)
				MainScr.RegisterForSingleUpdate(0.5)
				return
			else
				TempRandInt -= Mcm.VampireOutfitChance_4
			endif
			if Mcm.VampireOutfitIndex_5 != -1 && Mcm.VampireOutfitChance_4 != 0
				MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 25")
;				akTarget.SetOutfit(MainScr.DummyOutfit)
;				akTarget.SetOutfit(MainScr.Outfit_25)
				StorageUtil.FormListAdd(none, "CNO_SavedActors_Vampire", akTarget, false)
				StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
				StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_25)
				MainScr.RegisterForSingleUpdate(0.5)
				return
			endif
		endif
	endif
EndEvent